<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

  <xsl:strip-space elements="*"/>

  <xsl:param name="aid"/>
  <xsl:param name="qid"/>
  <xsl:param name="sid"/>
  <xsl:param name="date"/>

  <xsl:variable name="cid">
    <xsl:choose>
      <xsl:when test="$sid!=''">
        <xsl:value-of select="$sid"/>
      </xsl:when>
      <xsl:when test="$qid!=''">
        <xsl:value-of select="$qid"/>
      </xsl:when>
      <xsl:when test="$aid!=''">
        <xsl:value-of select="$aid"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text></xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="site">
    <xsl:text>xml.silmaril.ie</xsl:text>
  </xsl:variable>

  <xsl:variable name="searchsite">
    <xsl:text>silmaril.ie</xsl:text>
  </xsl:variable>

  <xsl:variable name="gtype">
    <xsl:text>gif</xsl:text>
  </xsl:variable>

</xsl:stylesheet>
